{% extends "plantilla.html" %}
{% block contenido %}
{% load static %}
<div class="main-container">
  <div class="pd-ltr-20">
    <div class="card-box pd-20 height-100-p mb-30">
      <div class="row align-items-center">
        <div class="col-md-4">
          <h4 class="font-20 weight-500 mb-10 text-capitalize">
            EDITAR SERVICIO
            <div class="weight-600 font-30 text-blue"></div>
          </h4>
        </div>
        <div class="col-md-8"></div>
      </div>
    </div>
    <form class="selectpicker" action="/procesarActualizacionServicios/" method="post" enctype="multipart/form-data" id="frm_nuevo_servicios">
      {% csrf_token %}
      <input type="hidden" name="id"  value="{{servicios.id}}">
      <div class="container">
          <div class="row">
              <div class="col-md-12">
                  <div class="form-group">
                      <label for="descripcion">Ingrese la descripción</label>
                      <input type="text" name="descripcion" id="descripcion" placeholder="Ingrese la descripción" class="form-control"
                       required value="{{servicios.descripcion}}">
                  </div>
              </div>
          </div>

          <div class="row">
              <div class="col-md-6">
                  <div class="form-group">
                      <label for="costo">Ingrese el costo</label>
                      <input type="number" name="costo" id="costo" value="{{ servicios.costo|floatformat:"0,0" }}" placeholder="Ingrese el costo" class="form-control" step="0.01" required>
                  </div>
              </div>
              <div class="col-md-6">
                  <div class="form-group">
                      <label for="estado">Estado</label>
                      <select class="form-control" name="estado" id="estado">
                          <option value="Activo" {% if servicios.estado == 'Activo' %}selected{% endif %}>Activo</option>
                          <option value="Inactivo" {% if servicios.estado == 'Inactivo' %}selected{% endif %}>Inactivo</option>
                      </select>
                  </div>
              </div>
          </div>

          <div class="row">
              <div class="col-md-12">
                  <div class="form-group">
                      <label for="nota">Ingrese la nota</label>
                      <input type="text" name="nota" id="nota" value="{{servicios.descripcion}}" placeholder="Ingrese la nota" class="form-control" required>
                  </div>
              </div>
          </div>

          <div class="row">
              <div class="col-md-12">
                <label for="productos">Seleccione productos</label><br>
<select class="form-control selectpicker" multiple data-live-search="true" name="productos" id="productos">
    {% for producto in productos %}
        <option value="{{ producto.id }}" {% if producto.id|stringformat:"s" in productos_seleccionados %}selected{% endif %}>{{ producto.nombre }}</option>
    {% endfor %}
</select>

<!-- Agrega un campo oculto para almacenar los productos seleccionados -->
<input type="text" name="productos_seleccionados" id="productos_seleccionados" value="{{ productos_seleccionados | safe }}">

<script>
    $(document).ready(function () {
        $('.selectpicker').selectpicker({
            showTick: false
        });

        // Maneja el evento de cambio en la selección de productos
        $('#productos').on('changed.bs.select', function (e) {
            // Obtiene los productos seleccionados y los almacena en el campo oculto
            var productosSeleccionados = $(this).val();
            $('#productos_seleccionados').val(productosSeleccionados);
        });
    });
</script>


              </div>
          </div>

          <div class="row">
              <div class="col-md-12 text-center">
                  <button type="submit" class="btn btn-primary">Guardar</button>
                  <button type="button" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
              </div>
          </div>
      </div>
  </form>



    </div>
  </div>
{% endblock %}
